Name: tulip
Version: 3.0.3
Release: alt1
Url: http://www.tulip-software.org
Summary: A program that allows visualization of huge graphs
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: %name-%version.tar.bz2
Patch1: alt-%name-asneeded.patch
Patch2: alt-fix-search-opengl.patch
Patch3: alt-fix-missing-file.patch

License: GPL
Group: Sciences/Other

# Automatically added by buildreq on Thu Dec 11 2008
BuildRequires: doxygen gcc-c++ graphviz imake libglew-devel libjpeg-devel libqt4-devel libxml2-devel xml-utils xmltex xorg-cf-files

%description
Tulip software is a system dedicated to the visualization of huge graphs. It manages graphs with a number of elements(nodes and edges) up to 500.000 on a personal computer(PIII 600, with 256mo). Its graph technology architecture enables to do the following things :

  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into it
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

%package -n     lib%name
Summary: A library for handling large graphs
Group: Sciences/Other
%description -n lib%name
Tulip software is a system dedicated to the visualization of huge graphs. It manages graphs with a number of elements(nodes and edges) up to 500.000 on a personal computer(PIII 600, with 256mo). Its graph technology architecture enables to do the following things :

  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into it
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

%package -n     lib%name-ogl
Summary: A library for displaying graph in a GL context
Group: Sciences/Other
Requires: lib%name
%description -n lib%name-ogl
Tulip software is a system dedicated to the visualization of huge graphs. It manages graphs with a number of elements(nodes and edges) up to 500.000 on a personal computer(PIII 600, with 256mo). Its graph technology architecture enables to do the following things :

  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into it
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

%package -n     lib%name-qt4
Summary: A set of Qt Widgets for tulip/tulip-ogl
Group: Sciences/Other
Requires: lib%name, lib%name-ogl, qt4 >= 4.2
%description -n lib%name-qt4
Tulip software is a system dedicated to the visualization of huge graphs. It manages graphs with a number of elements(nodes and edges) up to 500.000 on a personal computer(PIII 600, with 256mo). Its graph technology architecture enables to do the following things :

  * 3D visualizations
  * 3D modifications
  * Plug-in support for easy evolution
  * Building of clusters and navigation into it
  * Automatic drawing of graphs
  * Automatic clustering of graphs
  * Automatic selection of elements
  * Automatic metric coloration of graphs

##############################
%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -fisv
%configure \
	--with-qt-dir=%_libdir/qt4 \
	--enable-stats-gui \
	--enable-tlprender
%make
#pushd docs
#export DISPLAY=:0.0
#make html
#popd

%install
make DESTDIR="%buildroot" install

%files
%_bindir/%name
%_bindir/tulip_check_pl
#%prefix/bin/tlprender
%_libdir/libtulip-pluginsmanager.so
%_libdir/libtulip-pluginsmanager-3.0.so
%_libdir/tlp/bitmaps/logo32x32.bmp
%_libdir/tlp/bitmaps/logo.bmp
%_libdir/tlp/bitmaps/logo32x32.ico
%_libdir/tlp/bitmaps/headerlogo.bmp
%_libdir/tlp/bitmaps/welcomelogo.bmp
%_libdir/tlp/bitmaps/logotulip.jpg
%_libdir/tlp/bitmaps/logolabri.jpg
%_libdir/tlp/bitmaps/tex_back.png
%_libdir/tlp/bitmaps/startup.gif
%_includedir/*
%_datadir/%name
#%_libdir/tlp/samples

%files -n lib%name
%_bindir/tulip-config
#%_libdir/libtulip.la
%_libdir/libtulip.so
%_libdir/libtulip-3.0.so
%_libdir/tlp/lib*.so
%_datadir/aclocal/tulip.m4

%files -n lib%name-ogl
#%_libdir/libtulip-ogl.la
%_libdir/libtulip-ogl.so
%_libdir/libtulip-ogl-3.0.so
%_libdir/tlp/glyphs/lib*.*
%_libdir/tlp/bitmaps/fontb.ttf
%_libdir/tlp/bitmaps/font.ttf

%files -n lib%name-qt4
#%_libdir/libtulip-qt4.la
%_libdir/libtulip-qt4.so
%_libdir/libtulip-qt4-3.0.so
%_libdir/tlp/designer/lib*.*
%exclude %_libdir/tlp/*.la

%changelog
* Thu Dec 11 2008 Eugene Ostapets <eostapets@altlinux.ru> 3.0.3-alt1
- new version

* Tue Apr 22 2008 Eugene Ostapets <eostapets@altlinux.ru> 3.0.1-alt1
- First build for ALTLinux

